Skip to main content
`Ctrl`+`K`

# PetscSFWindowSetSyncType

Set synchronization type for `PetscSF` communication of type `PETSCSFWINDOW`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowSetSyncType(PetscSF sf, PetscSFWindowSyncType sync)

Logically Collective

## Input Parameters

- sf - star forest for communication

- sync - synchronization type

## Options Database Key

- -sf_window_sync sync - sets the synchronization type FENCE, LOCK, or ACTIVE (see `PetscSFWindowSyncType`)

## See Also

`PetscSF`, `PETSCSFWINDOW`, `PetscSFSetFromOptions()`, `PetscSFWindowGetSyncType()`, `PetscSFWindowSyncType`

## Level

advanced

## Location

src/vec/is/sf/impls/window/sfwindow.c

## Implementations

PetscSFWindowSetSyncType_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages